Skip to main content
The navigation property in docs.json controls the structure and information hierarchy of your documentation. With proper navigation configuration, you can organize your content so that users can find exactly what they’re looking for.

Update 2

Pages are the most fundamental navigation component. Pages map to the MDX files that make up your documentation. Decorative graphic of pages. In the navigation object, pages is an array where each entry must reference the path to a page file.
{
  "navigation": {
    "pages": [
      "settings",
      "pages",
      "navigation",
      "themes",
      "custom-domain"
    ]
  }
}

Groups

Use groups to organize your sidebar navigation into sections. Groups can be nested within each other, labeled with tags, and styled with icons. Decorative graphic of groups. In the navigation object, groups is an array where each entry is an object that requires a group field and a pages field. The icon, tag, and expanded fields are optional.
{
  "navigation": {
    "groups": [
      {
        "group": "Getting started",
        "icon": "play",
        "expanded": false,
        "pages": [
          "quickstart",
          {
            "group": "Editing",
            "icon": "pencil",
            "pages": [
              "installation",
              "editor"
            ]
          }
        ]
      },
      {
        "group": "Writing content",
        "icon": "notebook-text",
        "tag": "NEW",
        "pages": [
          "writing-content/page",
          "writing-content/text"
        ]
      }
    ]
  }
}

Default expanded state

Set expanded: true on a group to make it expanded by default in the navigation sidebar. This is useful for highlighting important sections or improving discoverability of key content.
{
  "group": "Getting started",
  "expanded": true,
  "pages": ["quickstart", "installation"]
}

Tabs

Tabs create distinct sections of your documentation with separate URL paths. Tabs create a horizontal navigation bar at the top of your documentation that lets users switch between sections. Decorative graphic of a tab navigation. In the navigation object, tabs is an array where each entry is an object that requires a tab field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "tabs": [
      {
        "tab": "API reference",
        "icon": "square-terminal",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      },
      {
        "tab": "SDKs",
        "icon": "code",
        "pages": [
          "sdk/fetch",
          "sdk/create",
          "sdk/delete"
        ]
      },
      {
        "tab": "Blog",
        "icon": "newspaper",
        "href": "https://external-link.com/blog"
      }
    ]
  }
}
Menus add dropdown navigation items to a tab. Use menus to help users go directly to specific pages within a tab. In the navigation object, menu is an array where each entry is an object that requires an item field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "tabs": [
      {
        "tab": "Developer tools",
        "icon": "square-terminal",
        "menu": [
          {
            "item": "API reference",
            "icon": "rocket",
            "groups": [
              {
                "group": "Core endpoints",
                "icon": "square-terminal",
                "pages": [
                  "api-reference/get",
                  "api-reference/post",
                  "api-reference/delete"
                ]
              }
            ]
          },
          {
            "item": "SDKs",
            "icon": "code",
            "description": "SDKs are used to interact with the API.",
            "pages": [
              "sdk/fetch",
              "sdk/create",
              "sdk/delete"
            ]
          }
        ]
      }
    ]
  }
}

Anchors

Anchors add persistent navigation items to the top of your sidebar. Use anchors to section your content, provide quick access to external resources, or create prominent calls to action. Decorative graphic of an anchor navigation. In the navigation object, anchors is an array where each entry is an object that requires an anchor field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "anchors": [
      {
        "anchor": "Documentation",
        "icon": "book-open",
        "pages": [
          "quickstart",
          "development",
          "navigation"
        ]
      },
      {
        "anchor": "API reference",
        "icon": "square-terminal",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      },
      {
        "anchor": "Blog",
        "href": "https://external-link.com/blog"
      }
    ]
  }
}
For anchors that direct to external links only, use the global keyword. Anchors in a global object must have an href field and cannot point to a relative path. Global anchors are particularly useful for linking to resources that are not part of your documentation, but should be readily accessible to your users like a blog or support portal.
{
  "navigation": {
    "global":  {
      "anchors": [
        {
          "anchor": "Community",
          "icon": "house",
          "href": "https://slack.com"
        },
        {
          "anchor": "Blog",
          "icon": "pencil",
          "href": "https://mintlify.com/blog"
        }
      ]
    },
    "tabs": /*...*/
  }
}
Dropdowns are contained in an expandable menu at the top of your sidebar navigation. Each item in a dropdown directs to a section of your documentation. Decorative graphic of a dropdown navigation. In the navigation object, dropdowns is an array where each entry is an object that requires a dropdown field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "dropdowns": [
      {
        "dropdown": "Documentation",
        "icon": "book-open",
        "pages": [
          "quickstart",
          "development",
          "navigation"
        ]
      },
      {
        "dropdown": "API reference",
        "icon": "square-terminal",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      },
      {
        "dropdown": "Blog",
        "href": "https://external-link.com/blog"
      }
    ]
  }
}

Products

Decorative graphic of a product switcher. Products create a dedicated navigation division for organizing product-specific documentation. Use products to separate different offerings, services, or major feature sets within your documentation. In the navigation object, products is an array where each entry is an object that requires a product field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "products": [
      {
        "product": "Core API",
        "description": "Core API description",    
        "icon": "api",
        "groups": [
          {
            "group": "Getting started",
            "pages": [
              "core-api/quickstart",
              "core-api/authentication"
            ]
          },
          {
            "group": "Endpoints",
            "pages": [
              "core-api/users",
              "core-api/orders"
            ]
          }
        ]
      },
      {
        "product": "Analytics Platform",
        "description": "Analytics Platform description",
        "icon": "chart-bar",
        "pages": [
          "analytics/overview",
          "analytics/dashboard",
          "analytics/reports"
        ]
      },
      {
        "product": "Mobile SDK",
        "description": "Mobile SDK description",
        "icon": "smartphone",
        "href": "https://mobile-sdk-docs.example.com"
      }
    ]
  }
}

OpenAPI

Integrate OpenAPI specifications directly into your navigation structure to automatically generate API documentation. Create dedicated API sections or place endpoint pages within other navigation components. Set a default OpenAPI specification at any level of your navigation hierarchy. Child elements will inherit this specification unless they define their own specification.
{
  "navigation": {
    "groups": [
      {
        "group": "API reference",
        "openapi": "/path/to/openapi-v1.json",
        "pages": [
          "overview",
          "authentication",
          "GET /users",
          "POST /users",
          {
            "group": "Products",
            "openapi": "/path/to/openapi-v2.json",
            "pages": [
              "GET /products",
              "POST /products"
            ]
          }
        ]
      }
    ]
  }
}
For more information about referencing OpenAPI endpoints in your docs, see the OpenAPI setup.

Versions

Partition your navigation into different versions. Versions are selectable from a dropdown menu. Decorative graphic of a version switcher. In the navigation object, versions is an array where each entry is an object that requires a version field and can contain any other navigation fields.
{
  "navigation": {
    "versions": [
      {
        "version": "1.0.0",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["v1/overview", "v1/quickstart", "v1/development"]
          }
        ]
      },
      {
        "version": "2.0.0",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["v2/overview", "v2/quickstart", "v2/development"]
          }
        ]
      }
    ]
  }
}

Languages

Partition your navigation into different languages. Languages are selectable from a dropdown menu. Decorative graphic of a language switcher. In the navigation object, languages is an array where each entry is an object that requires a language field and can contain any other navigation fields. We currently support the following languages for localization:
https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/ar.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=99d3db3f7ddea96b3364075713e87fc2

Arabic (ar)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/cn.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=f42d5c9f30b9c8480f183d83fd196fb9

Chinese (cn)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/cn.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=f42d5c9f30b9c8480f183d83fd196fb9

Chinese (zh-Hant)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/nl.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=f68a281efb2e31d9c9da71b8e33d0f0f

Dutch (nl)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/en.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=94c31f795f969424a00e1988168bc6f7

English (en)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/fr.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=5e4f9cbc7e6bab3689bcb37e0758e194

French (fr)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/de.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=28a087e2638dc7c3af1d3a721b5716dc

German (de)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/id.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=a04cdfb55c4d727cd2f02c1105da3f83

Indonesian (id)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/it.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=f9fc49379dbce4a0f5544672fff85060

Italian (it)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/jp.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=564022f6ffb04e61eb66f1da927d5a13

Japanese (jp)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/ko.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=a061a255cef30ff6548ad5ffae7aedb9

Korean (ko)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/lv.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=10679698126511645df9fa144330df97

Latvian (lv)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/no.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=757902907d4f324d8de5892965102f00

Norwegian (no)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/pt-br.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=2c378a381fbf6659fb3103019bdb5bf4

Portuguese (pt-BR)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/ru.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=27412ceb7aa95ea4d1c63a976e1e5aea

Russian (ru)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/es.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=907ab5a67d9324b65fcc1ccbc36e3165

Spanish (es)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/sv.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=011d5ca6bc779aa4f709de4d1dfdf71a

Swedish (sv)

https://mintcdn.com/leylandscompany-mintlify-add-hello-world-to-file-20273/GAxuVpIgYPlD1ITF/images/navigation/languages/tr.png?fit=max&auto=format&n=GAxuVpIgYPlD1ITF&q=85&s=7f651b534dafca90eb4ce8cca3ff3f31

Turkish (tr)

{
  "navigation": {
    "languages": [
      {
        "language": "en",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["en/overview", "en/quickstart", "en/development"]
          }
        ]
      },
      {
        "language": "es",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["es/overview", "es/quickstart", "es/development"]
          }
        ]
      }
    ]
  }
}
For automated translations, contact our sales team to discuss solutions.

Nesting

You can use any combination of anchors, tabs, dropdowns, and products. The components can be nested within each other interchangeably to create your desired navigation structure.
{
  "navigation": {
    "anchors": [
      {
        "anchor": "Anchor 1",
        "groups": [
          {
            "group": "Group 1",
            "pages": [
              "some-folder/file-1",
              "another-folder/file-2",
              "just-a-file"
            ]
          }
        ]
      },
      {
        "anchor": "Anchor 2",
        "groups": [
          {
            "group": "Group 2",
            "pages": [
              "some-other-folder/file-1",
              "various-different-folders/file-2",
              "another-file"
            ]
          }
        ]
      }
    ]
  }
}
Breadcrumbs display the full navigation path at the top of pages. Some themes have breadcrumbs enabled by default and others do not. You can control whether breadcrumbs are enabled for your site using the styling property in your docs.json.
"styling": {
  "eyebrows": "breadcrumbs"
}

Interaction configuration

Control how users interact with navigation elements using the interaction property in your docs.json.

Enable auto-navigation for groups

When a user expands a navigation group, some themes will automatically navigate to the first page in the group. You can override a theme’s default behavior using the drilldown option.
  • Set to true to force automatic navigation to the first page when a navigation group is selected.
  • Set to false to prevent navigation and only expand or collapse the group when it is selected.
  • Leave unset to use the theme’s default behavior.
"interaction": {
  "drilldown": true  // Force navigation to first page when a user expands a dropdown
}